package com.ruoyi.framework.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "oss")
public class AliOssConfig {
    //外网访问域名
    public static String endpointExternal;
    //内网访问域名
    public static String endpointInternal;
    //访问KEY
    public static String accessKeyId;
    //访问密钥
    public static String accessKeySecret;
    //OSS bucketName
    public static String bucketName;
    //Oss前缀路径
    public static String prefix_dir;
    //是否内网
    public static Boolean isInternal;


    /**
     * 获取 外网访问域名
     *
     * @return endpointExternal 外网访问域名
     */
    public static String getEndpointExternal() {
        return endpointExternal;
    }

    /**
     * 设置 外网访问域名
     *
     * @param endpointExternal 外网访问域名
     */
    public void setEndpointExternal(String endpointExternal) {
        AliOssConfig.endpointExternal = endpointExternal;
    }

    /**
     * 获取 内网访问域名
     *
     * @return endpointInternal 内网访问域名
     */
    public static String getEndpointInternal() {
        return endpointInternal;
    }

    /**
     * 设置 内网访问域名
     *
     * @param endpointInternal 内网访问域名
     */
    public void setEndpointInternal(String endpointInternal) {
        AliOssConfig.endpointInternal = endpointInternal;
    }

    /**
     * 获取 访问KEY
     *
     * @return accessKeyId 访问KEY
     */
    public static String getAccessKeyId() {
        return accessKeyId;
    }

    /**
     * 设置 访问KEY
     *
     * @param accessKeyId 访问KEY
     */
    public void setAccessKeyId(String accessKeyId) {
        AliOssConfig.accessKeyId = accessKeyId;
    }

    /**
     * 获取 访问密钥
     *
     * @return accessKeySecret 访问密钥
     */
    public static String getAccessKeySecret() {
        return accessKeySecret;
    }

    /**
     * 设置 访问密钥
     *
     * @param accessKeySecret 访问密钥
     */
    public void setAccessKeySecret(String accessKeySecret) {
        AliOssConfig.accessKeySecret = accessKeySecret;
    }

    /**
     * 获取 OSS bucketName
     *
     * @return bucketName OSS bucketName
     */
    public static String getBucketName() {
        return bucketName;
    }

    /**
     * 设置 OSS bucketName
     *
     * @param bucketName OSS bucketName
     */
    public void setBucketName(String bucketName) {
        AliOssConfig.bucketName = bucketName;
    }

    /**
     * 获取 Oss前缀路径
     *
     * @return prefix_dir Oss前缀路径
     */
    public static String getPrefix_dir() {
        return prefix_dir;
    }

    /**
     * 设置 Oss前缀路径
     *
     * @param prefix_dir Oss前缀路径
     */
    public void setPrefix_dir(String prefix_dir) {
        AliOssConfig.prefix_dir = prefix_dir;
    }

    /**
     * 获取 是否内网
     *
     * @return isInternal 是否内网
     */
    public static Boolean getIsInternal() {
        return isInternal;
    }

    /**
     * 设置 是否内网
     *
     * @param isInternal 是否内网
     */
    public void setIsInternal(Boolean isInternal) {
        AliOssConfig.isInternal = isInternal;
    }
}
